﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Current_537436___ListBoxTransferTemplates_Default" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id=Head1 runat="server">
    <title>People Test</title>
    <style type="text/css">
   
       .list 
       {
           font-style:italic;
       }
       
       .transferImage
       {
           float:right;
       }       
       
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <script type="text/javascript">

            function pageLoad() {
                $telerik.$(".transferImage").on("click" ,function(e) {
                    var sourceList = $find("RadListBox1"),
                        destinationListBox = $find("RadListBox2"),
                        item = sourceList._extractItemFromDomElement(e.target)
                        
                    sourceList.clearSelection()
                    item.select();
                    if (item.get_listBox() == sourceList)
                        sourceList._transferSelectionWise(sourceList, destinationListBox, 0, e);
                    else
                        sourceList._transferSelectionWise(destinationListBox, sourceList, 0, e);
                });
            }

        </script>
        <telerik:RadAjaxPanel ID="RadAjaxPanel1" runat="server" Height="99%" Width="99%">
            <telerik:RadListBox 
                ID="RadListBox1" runat="server" AllowTransfer="true" 
                Height="150" Width="400" SelectionMode="Multiple" 
                AutoPostBackOnTransfer="true" AllowTransferDuplicates="true"
                TransferToID="RadListBox2" ontransferred="RadListBox1_Transferred">
                <ButtonSettings ShowTransferAll = "false" VerticalAlign="Middle" />
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# DataBinder.Eval(Container, "Text")%>' CssClass="list" ></asp:Label>
                    <asp:Image CssClass="transferImage" ImageUrl="~/Functionality/ListBox/TransferWithoutButton/icon.gif" runat="server" />
                </ItemTemplate>
                <Items>
                    <telerik:RadListBoxItem Text="item 1" />
                    <telerik:RadListBoxItem Text="item 2" />
                    <telerik:RadListBoxItem Text="item 3" />
                </Items>
            </telerik:RadListBox>
            <telerik:RadListBox ID="RadListBox2" runat="server"  Height="150" Width="400" SelectionMode="Multiple">
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# DataBinder.Eval(Container, "Text")%>' CssClass="list" ></asp:Label>
                    <asp:Image ID=Image1 CssClass="transferImage" ImageUrl="~/Functionality/ListBox/TransferWithoutButton/icon.gif" runat="server" />
                </ItemTemplate>
                <Items>
                    <telerik:RadListBoxItem Text="item 11" />
                    <telerik:RadListBoxItem Text="item 12" />
                    <telerik:RadListBoxItem Text="item 13" />
                </Items>
            </telerik:RadListBox>
        </telerik:RadAjaxPanel>
    </div>
    </form>
</body>
</html>
